{% extends "czech_inspirational/base.html" %}
{% load static wagtailcore_tags wagtailimages_tags %}

{% block content %}

        <div class="container container--default text-center">
          <h1 class="head-alt-lg lg:head-alt-xl mt-40 text-left">{{ page.title }}</h1>
         <div class="text-left my-8">{{ page.author }}</div>
         <figure class="tha_chapterhead">
          <div class="block bg-grey-100 text-center py-3">
           <picture class="block mx-auto">
            {% image page.image max-1200x600 as img %}
            <img src="{{ img.url }}" alt="{{ page.title }}" class="w-full" />
           </picture>
          </div>
          <figcaption class="font-condensed text-sm text-left uppercase mt-4">Ilustrace: Věra Veselá</figcaption>
         </figure>
        </div>

        <article class="pt-20 container container--default lg:flex lg:space-x-16 mb-20">
         <div class="lg:w-2/3 content-block">
          {{ page.text|richtext }}

          {% if page.extra_text %}
            <div class="bg-blue-300 pl-8 py-8 pr-8 mt-16 text-white">
              {{ page.extra_text|richtext }}
            </div>
          {% endif %}

         </div>

         <aside class="pt-8 lg:w-1/3 md:pt-0">
          <div id="tha_stickysharebox" class="sharebox md:card md:elevation-10 mt-20 md:mt-0">
            <div class="md:card__body">
              <span class="head-alt-base md:head-alt-md">Sdílení je aktem lásky</span>

              <div class="flex w-full space-x-4 pt-4 md:pt-8 text-center text-white">
                <a href="https://www.facebook.com/ceska.piratska.strana/" class="hover:no-underline bg-brands-facebook px-8 py-3 text-2xl w-full"><i class="ico--facebook"></i></a>
                <a href="https://www.twitter.com/PiratskaStrana" class="hover:no-underline bg-brands-twitter px-8 py-3 text-2xl w-full"><i class="ico--twitter"></i></a>
              </div>
            </div>
            <div class="h-52 overflow-hidden hidden md:block">
              <img src="{% static "czech_inspirational/images/flag.png" %}" alt="Pirátská strana" class="w-80 object-cover m-auto">
            </div>
          </div>

        </aside>

       </article>

       <hr>

       <div id="paging" class="mt-20 container container--default">
        <h1 class="head-alt-base md:head-alt-md">Další kapitoly</h1>
       </div>

<div id="tha_carousel_cont" class="mb-20 container container--wide">
  <div id="tha_carousel"></div>
  <div class="text-center">
    <a href="{{ page.root_page.chapters_page_url }}">
      <button class="btn btn--icon btn--inverted-icon btn--hoveractive btn--to-grey-700">
        <div class="btn__body-wrap">
          <div class="btn__body py-4 px-4">Zpět na kapitoly</div>
          <div class="btn__icon bg-grey-800">
            <i class="ico--chevron-left"></i>
          </div>
        </div>
      </button>
    </a>
  </div>
</div>

{% endblock %}

{% block extrascript %}
<script src="https://ssense.github.io/vue-carousel/js/vue-carousel.min.js"></script>
<script>
<!-- document.addEventListener('DOMContentLoaded', function(){ -->
Vue.use(VueCarousel);
  var nextlabel="<i class='ico--chevron-right'></i>";
  var prevlabel="<i class='ico--chevron-left'></i>";
  new Vue({
   el: '#tha_carousel',
    components: {
     'carousel': VueCarousel.Carousel,
      'slide': VueCarousel.Slide
    },
   template: `
           <carousel :perPage="4" :perPageCustom="[ [200, 1], [768, 3], [1024, 4]]" :navigationEnabled="true" :navigationNextLabel="nextlabel" :navigationPrevLabel="prevlabel" class="article-card-list pt-12 pb-8">

            {% for chapter in chapters %}
            <slide>
             <div class="relative card card--hoveractive elevation-3 hover:elevation-8 article-card mt-8 h-80 sm:h-96">
              <div class="absolute -top-8 w-full">
                <a href="{% pageurl chapter %}" class="block w-24 h-24 mx-auto p-1 border border-grey-100 rounded-full">
                  <img src="{% static "czech_inspirational/images/violetbg.png" %}" class="rounded-full">
                </a>
                <div class="article-card-cover__details head-alt-md text-center w-full h-full leading-relaxed text-white"><span class="tha_cardnumber">{{ chapter.number }}</span></div>
              </div>
              <div class="card__body article-card__body pt-24 sm:pt-32">
                <a href="{% pageurl chapter %}" class="">
                  <h1 class="head-heavy-xs text-center uppercase card-headline mb-4">{{ chapter.title }}</h1>
                </a>
              </div>
             </div>
            </slide>
            {% endfor %}

           </carousel>
           `
  });
<!-- }); -->
</script>

{% endblock %}
